*{
    margin: 0;
    font-size: 10px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; 
}

body{
    background-image: url("./assets/images/background2.jpg");
}

#parent{
    position: relative;
    width: 100vw;
    height: 100vh;
}

#menu-screen{
    position: absolute;
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#start-btn{
    height: 40px; 
    width: 80px;
    color: black;
    background: none;
    border: 2px solid black;
    border-radius: 10px;
    font-size: 2rem;
    font-weight: bold;
    margin-top: 130px;
}

#logo {
    width: 60%;
}

#stickman-on-menu{
    position: absolute;
    top: 65%;
    left: 22%
}

#welcome-stickman {
    position: absolute;
    top: 65%;
    left: 22%;
    display: none;
}

#welcome-text {
    display: none;
    font-size: 2rem;
    font-weight: bold;
    position: absolute;
    top: 60%;
    left: 21%;
}


#canvas-div{
    position: absolute;
    width: 100vw;
    height: 100vh;
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#canvas {
    border: 1px solid black;
    border-radius: 10px;
    box-shadow: 0px 0px 100px 0px blue;
    width: 500px;
    height: 500px;
}

#level-image {
    position: absolute;
    top: 30%;
    left: 11%;
}


#go-back-arrow{
    position: absolute;
    top: 5%;
    left: 3%;
    width: 65px;
    height: 65px;
}

h1 {
    position: absolute;
    top: 40%;
    left: 14%;
    color: blue;
    font-size: 4rem;
    font-weight: bolder;
    margin-bottom: 10px;
    text-align: center;
}

p {
    color: black;
    font-size: 2.5rem;
    font-weight: bold;
    text-align: center;
}

#game-over-img {
    position: absolute;
    top: 30%;
    left: 25%;
    width: 50%;
    display: none;
}

#final-score-div {
    position: absolute;
    width: 300px;
    height: 190px;
    top: 30%;
    right: 4%;
    display: none;
    flex-direction: column;
    background-color: rgba(0,0,0,0.5);
    border-radius: 10px;
    padding: 10px;
    margin-top: 20px;

}

.level-img-div {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

.display-score-img {
    width: 80;
    height: 40px
}

.score-p {
    font-size: 3rem;
    font-weight: bolder;
    text-align: center;
}

.multiply {
    font-size: 2rem;
    color: white;
    
}

#display-final-score {
    font-size: 3.5rem;
    color: white;
    text-align: center;
}

#magic-score {
    color: blue;
}

#cannon-score {
    color: black;
}

#laser-score {
    color: red;
}

#score-img {
    position: absolute;
    top: 20%;
    right: 10%;
    display: none;
}


#instructions-btn {
    height: 40px; 
    width: 160px;
    color: black;
    background: none;
    border: 2px solid black;
    border-radius: 10px;
    font-size: 2rem;
    font-weight: bold;
    margin-top: 130px;
    margin-left: 20px;
}

#instructions-div {
    position: absolute;
    left: 70%;
    bottom: 10%;
    display: none;
    flex-direction: column;
    background-color: rgba(0,0,0,0.3);
    border-radius: 10px;
    padding: 10px;
}

#instructions-img {
    width: 300px
}

#move-with-img {
    width: 150px;
}

#keys-img {
    width: 150px;
}

#hi-scores-btn {
    height: 40px; 
    width: 160px;
    color: black;
    background: none;
    border: 2px solid black;
    border-radius: 10px;
    font-size: 2rem;
    font-weight: bold;
    margin-top: 130px;
    margin-left: 20px;
}

#hi-scores-screen {
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#logo-on-hi-scores {
    position: absolute;
    top: 0%;
    left: 0%;
    width: 25%;
}

#hi-scores-list {
    position: absolute;
    top: 38%;
    left: 28%;
    padding: 0;
}

#go-back-hiscores {
    height: 40px; 
    width: 250px;
    color: black;
    background: none;
    border: 2px solid black;
    border-radius: 10px;
    font-size: 2rem;
    font-weight: bold;
    position: absolute;
    bottom: 5%;
    left: 40%;
}

#hi-score-texts-div {
    display: flex;
    align-items: center;
    position: absolute;
    top: 28%;
    left: 30%;

}

.hi-scores-list-element {
    font-size: 2rem;
    font-weight: bolder;
    margin-bottom: 40px;
}

.list-item-div {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 700px;
}

.magic-hiscore {
    font-size: 3rem;
    color: rgb(68, 68, 68);
}

.cannon-hiscore {
    font-size: 3rem;
    color: rgb(68, 68, 68);
}

.laser-hiscore {
    font-size: 3rem;
    color: rgb(68, 68, 68);
}

.x-hiscore {
    font-size: 2rem;
}

.final-score-hiscore {
    font-size: 4rem;
}

#hi-scores-img {
    position: absolute;
    top: 10%;
    left: 40%;
}

#cannon-hiscore-img {
    margin-left: 30px;
}


#laser-hiscore-img {
    margin-left: 40px;
}

#score-hiscore-img {
    margin-left: 55px;
}